Loading...
Searching...
No Matches
RDKit::MolHolderBase Class Referenceabstract

Base class API for holding molecules to substructure search. More...

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::MolHolderBase:

## Public Member Functions

virtual | ~MolHolderBase ()
virtual unsigned int | addMol (const ROMol &m)=0
virtual boost::shared_ptr< ROMol > | getMol (unsigned int) const =0
virtual unsigned int | size () const =0
| Get the current library size.

## Detailed Description

Base class API for holding molecules to substructure search.

This is an API that hides the implementation details used for indexing molecules for substructure searching. It simply provides an API for adding and getting molecules from a set.

Definition at line 67 of file SubstructLibrary.h.

## Constructor & Destructor Documentation

## ~MolHolderBase()

virtual RDKit::MolHolderBase::~MolHolderBase | ( |  | ) |

inline virtual

Definition at line 69 of file SubstructLibrary.h.

## Member Function Documentation

## addMol()

virtual unsigned int RDKit::MolHolderBase::addMol | ( | const ROMol & | m | ) |

pure virtual

Add a new molecule to the substructure search library Returns the molecules index in the library

Implemented in RDKit::CachedMolHolder, RDKit::CachedSmilesMolHolder, RDKit::CachedTrustedSmilesMolHolder, and RDKit::MolHolder.

## getMol()

virtual boost::shared_ptr< ROMol > RDKit::MolHolderBase::getMol | ( | unsigned int |  | ) | const

pure virtual

Implemented in RDKit::CachedMolHolder, RDKit::CachedSmilesMolHolder, RDKit::CachedTrustedSmilesMolHolder, and RDKit::MolHolder.

## size()

virtual unsigned int RDKit::MolHolderBase::size | ( |  | ) | const

pure virtual

Get the current library size.

Implemented in RDKit::CachedMolHolder, RDKit::CachedSmilesMolHolder, RDKit::CachedTrustedSmilesMolHolder, and RDKit::MolHolder.

The documentation for this class was generated from the following file:

- SubstructLibrary.h